Package org.apache.sysds.runtime.ooc.stream.message

# Class OOCGetStreamTypeMessage

java.lang.Object
org.apache.sysds.runtime.ooc.stream.message.OOCGetStreamTypeMessage

All Implemented Interfaces:
  `OOCStreamMessage`

public class OOCGetStreamTypeMessage extends Object implements OOCStreamMessage

## Field Summary

Fields
Modifier and Type
Field
Description
`static final byte`
`STREAM_TYPE_CACHED`
`static final byte`
`STREAM_TYPE_IN_MEMORY`
`static final byte`
`STREAM_TYPE_UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`OOCGetStreamTypeMessage()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addIXTransform(BiFunction<Boolean,IndexRange,IndexRange> transform)`
`byte`
`getStreamType()`
`boolean`
`isRequestable()`
`void`
`setCachedType()`
`void`
`setInMemoryType()`
`void`
`setUnknownType()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.ooc.stream.message.OOCStreamMessage

`cancel, isCancelled, split`

## Field Details

### STREAM_TYPE_UNKNOWN

public static final byte STREAM_TYPE_UNKNOWN

See Also:
  - Constant Field Values

### STREAM_TYPE_CACHED

public static final byte STREAM_TYPE_CACHED

See Also:
  - Constant Field Values

### STREAM_TYPE_IN_MEMORY

public static final byte STREAM_TYPE_IN_MEMORY

See Also:
  - Constant Field Values

## Constructor Details

### OOCGetStreamTypeMessage

public OOCGetStreamTypeMessage()

## Method Details

### addIXTransform

public void addIXTransform(BiFunction<Boolean,IndexRange,IndexRange> transform)

Specified by:
  `addIXTransform` in interface `OOCStreamMessage`

### setUnknownType

public void setUnknownType()

### setCachedType

public void setCachedType()

### setInMemoryType

public void setInMemoryType()

### getStreamType

public byte getStreamType()

### isRequestable

public boolean isRequestable()